# Changelog

## 2025-01-14 - 1.3.0 - feat(elements)
Enhance consent management components with advanced styling and interaction

- Added delayed animation effect to 'consentsoftware-toggle' when required.
- Improved styling for better visual feedback on selections and requirements.
- Enhanced modal transition and visibility settings for the 'consentsoftware-cookieconsent'.

## 2025-01-13 - 1.2.0 - feat(pages)
Add initial structure for pages with page1 component

- Added page1 export module in ts_web/pages/index.ts
- Implemented page1 component returning an empty template using lit-html

## 2025-01-13 - 1.1.0 - feat(core)
Refactor and enhance consent management components

- Replaced usage of custom elements with LitElement for core components.
- Introduced new layout and design for consent modal using modern CSS approaches.
- Removed dependency on '@design.estate/dees-domtools'.
- Added support for dynamic theme switching with light and dark modes.

## 2025-01-09 - 1.0.81 - fix(core)
Package updated to ensure compliance with privacy regulations.


## 2025-01-09 - 1.0.80 - fix(core)
Remove deprecated GitLab CI configuration and update metadata for improved compatibility and efficiency.

- Removed the .gitlab-ci.yml file to eliminate outdated CI configuration
- Updated the package.json and npmextra.json to include missing keywords
- Updated the description in package.json and npmextra.json for better clarity

## 2025-01-09 - 1.0.79 - Initial Release
Initial release of the project.